#define F_CPU 20000000
#include <avr/io.h>

#define setInputPin(pin) PORTA.DIRCLR |= (1 << pin)
#define setOutputPin(pin) PORTA.DIRSET |= (1 << pin)
#define setPinHigh(pin) VPORTA.OUT |= (1 << pin)
#define setPinLow(pin) VPORTA.OUT &= ~(1 << pin)
#define readPin(pin) VPORTA.IN & (1 << pin)

#define led_pin 6

#define id 1

void setup() {
  setOutputPin(led_pin);
  Serial.begin(9600);
}

void loop() {
  if (Serial.available()) {
    char input = Serial.read();
    if (isdigit(input)){
      setPinHigh(led_pin);
      delay(125);
      setPinLow(led_pin);
      delay(125);
      
      if ((input - '0') == id) {
        setPinHigh(led_pin);
        delay(125);
        setPinLow(led_pin);
      }
    }
  }
}
